Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
PRIORYMAN Posted on 10/07/2019 23:21
Your definitive 1980's song
 
 
Story of the Blues - Wah!
IP: Logged
Uksake Posted on 10/07/2019 23:22

Your definitive 1980's song

 
Ton..... Guaranteed
IP: Logged
sheriff_john_bunnell Posted on 10/07/2019 23:24

Your definitive 1980's song

 
its kids in America
or don't you want me
IP: Logged
Johnson Posted on 10/07/2019 23:27

Your definitive 1980's song

 
Ana Ag - They Might be Giants

Ton indeed [:D][:D]
IP: Logged
zorro_mfc Posted on 10/07/2019 23:30

Your definitive 1980's song

 
Donít you forget about me - simple minds

Aka the breakfast club theme
IP: Logged
goalscrounger Posted on 10/07/2019 23:42

Your definitive 1980's song

 
Open Your Heart by The Human League

or

Uncertain Smile by The The

or

Rattlesnakes by Lloyd Cole & The Commotions

or

Oblivious by Aztec Camera

or

She Bangs The Drums by The Stone Roses


[?]
IP: Logged
coluka Posted on 10/07/2019 23:47

Your definitive 1980's song

 
Do They Know Itís Christmas - Band Aid
IP: Logged
Borobry70 Posted on 10/07/2019 23:47

Your definitive 1980's song

 
Your going home in a teeside ambulance
By the Ayresome angels
IP: Logged
Foggysfplandiet3 Posted on 10/07/2019 23:49

Your definitive 1980's song

 
The album, ďVisageĒ by Visage. Full of definitive 1980s tracks [^]
IP: Logged
goalscrounger Posted on 11/07/2019 00:00

Your definitive 1980's song

 
First "proper" album I ever bought that Foggy (with my birthday money and alongside Duran Duran's eponymous debut album).
IP: Logged
Angelofayresome Posted on 11/07/2019 00:07

Your definitive 1980's song

 
Everything Counts - Depeche Mode
IP: Logged
Paul66 Posted on 11/07/2019 00:11

Your definitive 1980's song

 
Back when I was younger they were talking at me
Never listened to a word I said
Back when I was younger they were talking at me
Never listened to a word I said
Always yap-yap-yapping and complaining at me
Made me think I'd be better off dead
I don't want to talk about it
I don't want to hear no lip
Take your share, don't shout about it
That's your lot, remember you're a kid
They would always teach me that to swear was a sin
Always speak your mind but not aloud
Think of something that you want to do with your life
Nothing that you like, that's not allowed
I've no time to talk about it
All your stupid hopes and dreams
Get your feet back on the ground, son
It's exams that count, not football teams
And I'm running at the edge of their world
They're criticising something they just can't understand
Living on the edge of their town
And I won't be shot down
Taught me to defend myself and to be a man
How to kick someone and run away
Gave me everything that any young man could need
But don't understand why I won't stay
Here's your room and here's your records
Here's your home and here you'll stay
Here's somewhere I don't believe in
Wish someone would take it all away
And I'm running at the edge of their world
They're criticising something they just can't understand
Living on the edge of their town
And I won't be shot down
Running at the edge of their world
And they're criticising something they just can't understand
Living on the edge of their town
And I won't be
No, I won't be
No, I won't be shot down
IP: Logged
dooderooni Posted on 11/07/2019 00:13

Your definitive 1980's song

 
Oh, where do you even start?

Such a diverse decade when you think of what and who topped the charts.

If I had to pick one song from one artist who summed up the 80's then I'd probably go with...

Link: Shoulder pads a gogo
IP: Logged
gudintheair Posted on 11/07/2019 01:08

Your definitive 1980's song

 
Typical 80s

The Associates - Party Fears Two

Heaven 17 - Temptation

OMD - Electricity
IP: Logged
Borobarmy Posted on 11/07/2019 02:34
Edited On: 11/07/2019 09:21
Your definitive 1980's song

 
Ultravox -Vienna
OMD -Enola gay
Guns n Roses - sweet child o mine
Kraftwerk - the model
Black - wonderful life

Zorro simple minds was the first song on my mind when i read the title but you beat me .....so

Big country -chance
Bryan Adams - summer of 69
Don Henley - boys of summer
Aha - take on me
Bruce - born in the USA

What a decade Adam and the ants to the stone roses

IP: Logged
CemetryGates Posted on 11/07/2019 03:00

Your definitive 1980's song

 
For me itís Erasure A little Respect.

But think zorro might win as he ties his in with arguably one of the definitive 80s films- well bowled lad.

Best decade ever, not up for debate, just a fact
IP: Logged
Lemmy_Kilmister Posted on 11/07/2019 05:02

Your definitive 1980's song

 
Geno - Dexys
Don't Talk To Me About Love - Altered Images
Party Fears Two - The Associates
Photographic - Depeche Mode
Favourite Shirts - Haircut 100

All point me to Stainsby.
IP: Logged
BoroinBuxton Posted on 11/07/2019 05:09

Your definitive 1980's song

 
Some great memory stuff on here.

Club Country- Associates
Living in another world- Talk Talk
Duel- Propaganda
Major Tom (Coming home)- Peter Schilling
Brilliant Mind- Furniture
Wishing I had (A photograph of you)- Flock of Seagulls.

That will do for starters..........
IP: Logged
Lemmy_Kilmister Posted on 11/07/2019 05:13

Your definitive 1980's song

 
I'd award you the prize for post of the thread for even remembering Major Tom(Coming Home) [:D]
IP: Logged
canyoudigit Posted on 11/07/2019 05:17

Your definitive 1980's song

 
Tainted love.
IP: Logged
EpiphanyProudfoot Posted on 11/07/2019 05:28

Your definitive 1980's song

 
Sp many, if I had to pick out five it would be

1) Belouis Some = Imagination
2) Nenah Cherry = Manchild
3) Van Halen = Jump
4) Stevie Winward = Higher Love
5) Jacko = Beat It

Borderline by Madonna is unlucky not to make the top five.
IP: Logged
BigmetsBoro86 Posted on 11/07/2019 05:35

Your definitive 1980's song

 
Starship - Nothings gonna stop us now[^]
IP: Logged
chiz62 Posted on 11/07/2019 05:43

Your definitive 1980's song

 
White Lines - Grandmaster Flash
IP: Logged
Casualfan Posted on 11/07/2019 06:50

Your definitive 1980's song

 
Tears for fears - everybody wants to rule the world
IP: Logged
Temptation Posted on 11/07/2019 06:56

Your definitive 1980's song

 
Blue Monday
New Order
IP: Logged
loftusloyal Posted on 11/07/2019 06:58

Your definitive 1980's song

 
Jimmy the Hoover ,tantalize for some reason ,...by far and away the best era for music
IP: Logged
BoroinBuxton Posted on 11/07/2019 07:03

Your definitive 1980's song

 
Lemmy [;)]

Got a 12" extended version of it in my loft, including the German language version on the flipside.
IP: Logged
r00fie1 Posted on 11/07/2019 07:03

Your definitive 1980's song

 
UB40 - Sing our own song[^]
IP: Logged
legz Posted on 11/07/2019 07:11

Your definitive 1980's song

 
Some of my top 5 contenders have already been mentioned. But number 1......ladies and gents I give you "piano man" by Billy Joel.
IP: Logged
r00fie1 Posted on 11/07/2019 07:12

Your definitive 1980's song

 
New York State of Mind?
IP: Logged
Small_town Posted on 11/07/2019 08:44

Your definitive 1980's song

 
Zorro wins this one
IP: Logged
EI_Owen Posted on 11/07/2019 08:49

Your definitive 1980's song

 
Ashes to Ashes - Bowie
Life in Tokyo - Japan
Night train - Visage
IP: Logged
jam69 Posted on 11/07/2019 08:50

Your definitive 1980's song

 
sally mclennane the pogues
IP: Logged
AndyD13 Posted on 11/07/2019 08:51

Your definitive 1980's song

 
".ladies and gents I give you "piano man" by Billy Joel."

?? 1973?

Bon Jovi - Living on a prayer
Huey Lewis and the News - The Power of Love
IP: Logged
Grrreds Posted on 11/07/2019 09:19

Your definitive 1980's song

 
Forever Young - Alphaville (did nothing in the charts but nevertheless)

Diggin Your Scene - Blow Monkeys
Careless Whisper - Wham
True - Spandau
IP: Logged
northstand126 Posted on 11/07/2019 10:39

Your definitive 1980's song

 
Bugger beaten to it by Grrreds ... Forever Young - Alphaville, it is pure 80s
IP: Logged
sammysmiths Posted on 11/07/2019 12:01

Your definitive 1980's song

 
Madness-Nightboat to Cairo
or
Kraftwerk-Tour De France
IP: Logged
riversideparmo Posted on 11/07/2019 12:54

Your definitive 1980's song

 
Bronski Beat - Smalltown boy
IP: Logged
itsscirea Posted on 11/07/2019 13:14

Your definitive 1980's song

 
Don't you want me
Or
Relax
Or
Ghost Town
IP: Logged
Steveman Posted on 11/07/2019 17:06

Your definitive 1980's song

 
My top 5 soundtrack to growing up in the 80's based solely on the great memories they invoke when I hear them again - in no particular order...

A Kind of Magic - Queen
St Elmos's Fire (Man in Motion)- John Parr
Power of Love - Huey Lewis and the News
Paradise City - Guns and Roses

and, rather bizarrely, Heaven is a Place on Earth - Belinda Carlisle, for no other reason than she opened my eyes....[:P][;)][:D]
IP: Logged
legz Posted on 11/07/2019 18:18

Your definitive 1980's song

 
Oopppssss my bad 😳😳😳 had a bit of a skinful with the girls and some how read 70's 😂😂😂. If its 80's (and since Alphaville....the mighty wahs and John Parr already mentioned) I give you
The Alarm - 68 guns
The Damned - Eloise
IP: Logged
fergy93 Posted on 11/07/2019 18:50

Your definitive 1980's song

 
First picture of you
Lotus eaters
IP: Logged
beerwulf2 Posted on 11/07/2019 18:56

Your definitive 1980's song

 
Ghost town the specials
IP: Logged
Vzzzbx Posted on 11/07/2019 19:25

Your definitive 1980's song

 
Gold - Spandau Ballet
Together in electric dreams - Philip Oakey & Giorgio Moroder
Manchild - Neneh Cherry
Boys - Sabrina
Marys Prayer - Danny Wilson

So many good songs in the 80s... its hard to just pick a handful!


IP: Logged
since1970 Posted on 11/07/2019 19:41

Your definitive 1980's song

 
Intuition - Linx
Me and Mr.Sanchez - Blue Rondo A La Turk
Walking into sunshine - Central Line
Paris is one day away - The Mood
Living in the UK - Shakatak
Whip it - Devo
IP: Logged
dragged_up_in_whinneybanks Posted on 11/07/2019 21:22

Your definitive 1980's song

 
Starting Over - John Lennon

Released in 1980 - 3 days before he was killed. Probably the most influential rock artist ever.
IP: Logged
stewboss Posted on 11/07/2019 21:51

Your definitive 1980's song

 
Ricky Gervaise band. Seona Dancing?
IP: Logged
erimus11 Posted on 11/07/2019 22:08

Your definitive 1980's song

 
It's My Life - Talk Talk

Never get tired of listening to it
IP: Logged
jackieemu Posted on 11/07/2019 22:32

Your definitive 1980's song

 
Stepping out - Joe Jackson
Break in my stride - Matthew Wilder
both stop me in my tracks and I think i'm back in the 80s
IP: Logged
deadlyheadly Posted on 11/07/2019 23:18

Your definitive 1980's song

 
The Cult - she sells sanctuary
IP: Logged
gudintheair Posted on 11/07/2019 23:32

Your definitive 1980's song

 


Three more

Roxy Music - Same Old Scene

Echo & The Bunnymen - The Killing Moon

Dexys - There there my dear
IP: Logged
exeterboro Posted on 11/07/2019 23:49

Your definitive 1980's song

 
The Message by Grandmaster Flash.
IP: Logged
hicktonville Posted on 12/07/2019 00:25

Your definitive 1980's song

 
If you are talking about a definitive song not just a great song there is only one, Trevor Horn and Buggles ...Video Killed The Radio Star ..spot on.
IP: Logged
swordtrombonefish Posted on 12/07/2019 00:38

Your definitive 1980's song

 
Honestly find it harrd to choose between many of the above and a few of my own, so just a stab...

Aha - Take On Me
Simple Minds - Don't You Forget About Me
The Clash - Should I Stay or Should I Go
David Bowie - Modern Love
Whitney Houston - I Wanna Dance with Somebody

IP: Logged
stumpy Posted on 12/07/2019 00:43

Your definitive 1980's song

 
Plenty of those I would have mentioned, Lotus Eaters, Heaven 17, Soft Cell, Talk Talk, The The, Dexyís etc. No mention of ABC with probably the most definitive album of the decade in Lexicon of Love or Teardrop Explodes.
IP: Logged
nashvagas2 Posted on 12/07/2019 03:13

Your definitive 1980's song

 
I got you: Split Enz. As a young 21 year old migrating to OZ sat on the plane put the headphones on and bumped into split enz was a fan for years and now Crowded House and Neil Finn are my go to for comfort.
IP: Logged
howcarlin Posted on 12/07/2019 05:42

Your definitive 1980's song

 
3 for me.

FGTH - Relax. Ban a record to make it #1
MJ. - Thriller. The build up to the release was amazing
Band Aid. - Do they know itís crimbo time. There had never been anything like it before and a whole nation got behind it.
IP: Logged
American_Mary Posted on 12/07/2019 06:01

Your definitive 1980's song

 
True Faith - New Order
Rip It Up - Orange Juice
Seven Seas - Echo & The Bunnymen
How Soon is Now - The Smiths
Love Canít Turn Around - Farley ĎJackmasterí Funk
Tribute - The Pasadenaís
Sunday, XXXXXX Sunday - U2
You Can Call Me Al - Paul Simon

But probably the most 80ís song of all is West End Girls - The Pest Shop Boyís

IP: Logged
AndyD13 Posted on 12/07/2019 09:31
Edited On: 12/07/2019 09:42
Your definitive 1980's song

 
"If you are talking about a definitive song not just a great song there is only one, Trevor Horn and Buggles ...Video Killed The Radio Star ..spot on."

Its a 70s song, released in the 70's.

The more you think about it, and whether or not its anyones particular favourite, youve got to say that Zorro has it - its got to be Dont you forget about me, hasnt it?
IP: Logged
otto42 Posted on 12/07/2019 10:41

Your definitive 1980's song

 
Some great tracks on here. Don't think anyone has mentioned Planet Earth (Duran Duran), Temptation (Heaven 17), Wishful Thinking (China Crisis) or more obscure Brilliant Mind by Furniture or Dream to Sleep by Faith
IP: Logged
DoomOnHorseback Posted on 12/07/2019 11:17

Your definitive 1980's song

 
Tiffany - I think we're alone now.

Kate Bush - Running up that hill

Cyndie Lauper - Good Enough (The Goonies)
IP: Logged
BoroinBuxton Posted on 12/07/2019 13:43

Your definitive 1980's song

 
Otto- I mentioned Brilliant Mind. Funnily enough, Wishful thinking was in my mind when I originally posted, too.[^]

Some of the Album tracks/less known singles from the 80's from the bands described are also well worth a listen (reminisce)

Associates- Skipping
Talk Talk- Have you heard the news
Teardrop Explodes- Tiny Children
IP: Logged
littlejimmy Posted on 12/07/2019 14:00

Your definitive 1980's song

 
The Simple Minds song they never wrote that was their biggest hit...Jim Kerr must have a love/hate relationship with it.

Alphaville's a good shout. Really love Big in Japan as well.

Call Me by Blondie.

Sweet Dreams by Eurythmics.
IP: Logged
Bergeracois Posted on 12/07/2019 16:32

Your definitive 1980's song

 
There are some absolutely magnificent songs on this thread that I'd completely forgotten about !
IP: Logged
borobadge Posted on 12/07/2019 17:29

Your definitive 1980's song

 
mcfadden & whitehead - ain't no stopping us now
IP: Logged
goalscrounger Posted on 12/07/2019 17:33

Your definitive 1980's song

 
Does anyone remember "I Melt With You" by Modern English from back in the day? I heard the track on the first season of Stranger Things, did some investigating and was amazed to discover the were an early eighties British band that had somehow totally passed me by at the time.
IP: Logged
erimus11 Posted on 12/07/2019 17:40

Your definitive 1980's song

 
littlejimmy

[^]

Sweet Dreams - Channel 4 used this as a backing track to their Saturday morning NFL round up programme and played the 12" version - quality tune
IP: Logged
BobUpndown Posted on 12/07/2019 17:56

Your definitive 1980's song

 
loads of top quality mentioned..

Nelson Mandela.. has to be up there..

I also like: Ghost Town..

Specials again..

Link: ..this town...
IP: Logged
squarewheelbike Posted on 12/07/2019 18:10

Your definitive 1980's song

 
Would agree with Ghost Town, probably best No 1 of the 80's considering what was going on at the time.

For me personally;

The Fall - Rowche Rumble
The Birthday Party - Release The Bats
The Pogues - Boys From The County Hell
The Men They Couldn't Hang - Ironmasters
Jesus and Mary Chain - Never Understand
IP: Logged
HULLRED66 Posted on 12/07/2019 18:11

Your definitive 1980's song

 
It's my life- Talk Talk
True Faith- New Order
Feels like Heaven- Fiction Factory
IP: Logged
Duffman Posted on 12/07/2019 23:03

Your definitive 1980's song

 
One inTen UB40 - the anthem of the people in 1981 as Thatcher slashes and burns the working class
IP: Logged
Lefty Posted on 13/07/2019 00:57

Your definitive 1980's song

 
Itís impossible for one song to be definitive of the 80ís, but although the 80ís music was other things it was for me about the rise of indie, so New Order tick that box, post punk so New Order tick that box, guitar music so New Order tick that box, electronic music so Blue Monday ticks that box, rave and house music so Blue Monday ticks that box, Manchester music so New Order tick that box, the 80ís was about music videos so New Order tick that box and the 80ís was about 12 inch records too, so Blue Monday ticks that box more than any other.

So Iím going for Tarzan Boy by Baltimora
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2019 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213